Package ru.bitel.bgbilling.plugins.edo.common.bean

# Class GetEdoIdSettings

java.lang.Object
ru.bitel.bgbilling.plugins.edo.common.bean.GetEdoIdSettings

public class GetEdoIdSettings extends Object
Настройки (договорозависимые) откуда брать ИД получателя. Оно же хранилище сохранённой инфы контрагента. Хранится в эдо-конфиге договора.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `GetEdoIdSettings.GetEdoIdSettingsMode`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `ContragentInfos`
  `info`
  Для режима SPECIFIED тут содержится корректный инфо контрагента, для режима DEFAULT тоже (обычно), но обновляется/кешируется с какой-то периодичностью
  `GetEdoIdSettings.GetEdoIdSettingsMode`
  `mode`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetEdoIdSettings()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isInfoRequired()`
  требует ли режим присутствия ContragentInfos, просто метод общий вместо кучи проверок по коду на == требуется для DEFAULT, SPECIFIED (может быть null для DEFAULT)
  `boolean`
  `isNeedInvalidate(long timeout)`
  требуется ли обновление info контрагента относительно таймаута (используется в случае DEFAULT, на режим не проверяется)

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### mode

    public GetEdoIdSettings.GetEdoIdSettingsMode mode

  - ### info

    public ContragentInfos info
    Для режима SPECIFIED тут содержится корректный инфо контрагента, для режима DEFAULT тоже (обычно), но обновляется/кешируется с какой-то периодичностью. [!] Если в этой сущности (в БД в том числе) нету для DEFAULT тут значения то это тоже нормально - подразумевается надо дёрнуть из сервиса. Если есть значение то можно пользовать или проверить внутри timestamp если слишком тухлый дёрнуть новый. Т.е. и null и старый timestamp трактовать для DEFAULT штатно - как истекший кеш.

- ## Constructor Details

  - ### GetEdoIdSettings

    public GetEdoIdSettings()

- ## Method Details

  - ### isInfoRequired

    public boolean isInfoRequired()
    требует ли режим присутствия ContragentInfos, просто метод общий вместо кучи проверок по коду на == требуется для DEFAULT, SPECIFIED (может быть null для DEFAULT)

  - ### isNeedInvalidate

    public boolean isNeedInvalidate(long timeout)
    требуется ли обновление info контрагента относительно таймаута (используется в случае DEFAULT, на режим не проверяется)
    Parameters:
      `timeout` - в мс для кеша